gnutls_certificate_type_get_id(3)

NAME
gnutls_certificate_type_get_id - Returns the gnutls id of the specified in string type

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_certificate_type_t gnutls_certificate_type_get_id(const char * name);

ARGUMENTS

const char * name
    is a certificate type name

DESCRIPTION
The names are compared in a case insensitive way.

RETURNS
a gnutls_certificate_type_t for the specified in a string certificate type, or GNUTLS_CRT_UNKNOWN on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.